LeaderPicker.h File Reference
`#include <RDGeneral/types.h>`
`#include <RDGeneral/utils.h>`
`#include <RDGeneral/Invariant.h>`
`#include <RDGeneral/RDLog.h>`
`#include <RDGeneral/Exceptions.h>`
`#include <cstdlib>`
`#include "DistPicker.h"`

Go to the source code of this file.

## Classes

class | RDPickers::LeaderPicker
| Implements the Leader algorithm for picking a subset of item from a pool. More...
struct | RDPickers::LeaderPickerState< T >

## Namespaces

| RDPickers